CPluginHandlerBase Class Referenceabstract
Plug-in handling

The base class for all plugin handlers. More...

`#include <mia/core/handlerbase.hh>`

Inheritance diagram for CPluginHandlerBase:
[legend]

## Public Member Functions

void | add_dependend_handlers (HandlerHelpMap &handler_map) const
| CPluginHandlerBase (const char *data_descr, const char *type_descr)
| CPluginHandlerBase (const CPluginHandlerBase &other)=delete
const std::string & | get_descriptor () const
std::string | get_handler_type_string () const
void | get_string_help_description_xml (std::ostream &os, CXMLElement &root) const
void | get_xml_help (CXMLElement &root) const
CPluginHandlerBase & | operator= (const CPluginHandlerBase &other)=delete
void | print_help (std::ostream &os) const
void | print_short_help (std::ostream &os) const
bool | validate_parameter_string (const std::string &s) const
virtual | ~CPluginHandlerBase ()

## Detailed Description

The base class for all plugin handlers.

This clas provides some basic funcionallity that is common to all plugin handlers. In addition, the copy constructor and assigment operator are deleted in order to forbit copying of instances of this class.

Definition at line 56 of file handlerbase.hh.

## Constructor & Destructor Documentation

## CPluginHandlerBase() [1/2]

CPluginHandlerBase::CPluginHandlerBase | ( | const char * | data_descr,
|  | const char * | type_descr )

Constructor

Parameters

  data_descr | plugin search path descriptor, used to identify the plugin data
  type_descr | plugin search path descriptor, used to identify the plugin type

References TSparseSolver< F >::type_descr.

Referenced by CPluginHandlerBase(), and operator=().

## CPluginHandlerBase() [2/2]

CPluginHandlerBase::CPluginHandlerBase | ( | const CPluginHandlerBase & | other | ) |

delete

forbid copying - doxygen should drop these from the documentation

References CPluginHandlerBase().

## ~CPluginHandlerBase()

virtual CPluginHandlerBase::~CPluginHandlerBase | ( |  | ) |

virtual

## Member Function Documentation

## add_dependend_handlers()

void CPluginHandlerBase::add_dependend_handlers | ( | HandlerHelpMap & | handler_map | ) | const

add all plug-in handler that may be called by this plug-in handler

Parameters

  [in,out] | handler_map | plug in handler map to add to

## get_descriptor()

const std::string & CPluginHandlerBase::get_descriptor | ( |  | ) | const

Returns
  the plug-in handler descriptor

Referenced by TFactoryPluginHandler< I >::set_caching(), and TFactoryPluginHandler< I >::TFactoryPluginHandler().

## get_handler_type_string()

std::string CPluginHandlerBase::get_handler_type_string | ( |  | ) | const

Returns
  the type name of the plug-in handler

## get_string_help_description_xml()

void CPluginHandlerBase::get_string_help_description_xml | ( | std::ostream & | os,
|  | CXMLElement & | root ) const

write the XML description of this handler to an XML node

Parameters

  os | stream to write additional descriptions to.
  root | the parent node the information is added to

## get_xml_help()

void CPluginHandlerBase::get_xml_help | ( | CXMLElement & | root | ) | const

Add the help for all plug-ins to the xml tree

Parameters

  root | toot element the documentation is added to

## operator=()

CPluginHandlerBase & CPluginHandlerBase::operator= | ( | const CPluginHandlerBase & | other | ) |

delete

forbid copying - doxygen should drop these from the documentation

References CPluginHandlerBase().

## print_help()

void CPluginHandlerBase::print_help | ( | std::ostream & | os | ) | const

Print out the help to an output stream

Parameters

  os |

## print_short_help()

void CPluginHandlerBase::print_short_help | ( | std::ostream & | os | ) | const

Print out the short help to an output stream

Parameters

  os |

## validate_parameter_string()

bool CPluginHandlerBase::validate_parameter_string | ( | const std::string & | s | ) | const

Validate the given string to see whether anything useful can be done with it. The actual way how this is validated depends on the plug-in type.

The documentation for this class was generated from the following file:

- handlerbase.hh